import express from "express";
import {
  createPaymentIntent,
  createCheckoutSession,
  handleWebhook
} from "../controllers/payment.controller.js";

const router = express.Router();

router.post("/create-intent", createPaymentIntent);
router.post("/create-checkout-session", createCheckoutSession);
router.post("/webhook", express.raw({ type: "application/json" }), handleWebhook);

export default router;
